<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>WrapperCC - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="HttpQuery.html">HttpQuery</a><ul class='methods'><li data-type='method' style='display: none;'><a href="HttpQuery.html#send">send</a></li></ul></li><li><a href="HttpQueryService.html">HttpQueryService</a></li><li><a href="PersistantData.html">PersistantData</a><ul class='methods'><li data-type='method' style='display: none;'><a href="PersistantData.html#loadJSON">loadJSON</a></li><li data-type='method' style='display: none;'><a href="PersistantData.html#saveJSON">saveJSON</a></li><li data-type='method' style='display: none;'><a href="PersistantData.html#list">list</a></li><li data-type='method' style='display: none;'><a href="PersistantData.html#getNewID">getNewID</a></li></ul></li><li><a href="PersistantDataService.html">PersistantDataService</a><ul class='methods'><li data-type='method' style='display: none;'><a href="PersistantDataService.html#~getQuery">getQuery</a></li><li data-type='method' style='display: none;'><a href="PersistantDataService.html#~getNewId">getNewId</a></li></ul></li><li><a href="RemanentForm.html">RemanentForm</a><ul class='methods'><li data-type='method' style='display: none;'><a href="RemanentForm.html#load">load</a></li></ul></li><li><a href="ServerEvent.html">ServerEvent</a><ul class='methods'><li data-type='method' style='display: none;'><a href="ServerEvent.html#onEvent">onEvent</a></li><li data-type='method' style='display: none;'><a href="ServerEvent.html#isPending">isPending</a></li><li data-type='method' style='display: none;'><a href="ServerEvent.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="ServerEvent.html#addClock">addClock</a></li></ul></li><li><a href="ServerEventService.html">ServerEventService</a><ul class='methods'><li data-type='method' style='display: none;'><a href="ServerEventService.html#~doQuery">doQuery</a></li><li data-type='method' style='display: none;'><a href="ServerEventService.html#add">add</a></li><li data-type='method' style='display: none;'><a href="ServerEventService.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="ServerEventService.html#addClock">addClock</a></li></ul></li><li><a href="StopService.html">StopService</a></li><li><a href="UploadService.html">UploadService</a></li><li><a href="WrapperCC.html">WrapperCC</a><ul class='methods'><li data-type='method' style='display: none;'><a href="WrapperCC.html#call">call</a></li></ul></li><li><a href="WrapperCCService.html">WrapperCCService</a></li><li><a href="cookies.html">cookies</a><ul class='methods'><li data-type='method' style='display: none;'><a href="cookies.html#.get">get</a></li><li data-type='method' style='display: none;'><a href="cookies.html#.set">set</a></li></ul></li><li><a href="slugstring.html">slugstring</a><ul class='methods'><li data-type='method' style='display: none;'><a href="slugstring.html#.fill">fill</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#wrap">wrap</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">WrapperCC</h1>
    

    




<section>

<header>
    
        <h2>
        
            WrapperCC
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="WrapperCC"><span class="type-signature"></span>new WrapperCC<span class="signature">(url)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Implements a wrapper to C/C++ implemented functions on the server side.</p>
<ul>
<li>
<p>This is the client side of a simple client/<a href="./WrapperCCService.html">server</a> C/C++ wrapping mechanism.</p>
</li>
<li>
<p>The interface is used in HTML page, using a construct of the form:</p>
</li>
</ul>
<pre class="prettyprint source"><code>&lt;script type='text/javascript' src='.../aideweb.js'>&lt;/script>
&lt;script type='text/javascript'>
 var ccWrapper = New WrapperCC(&quot;http://localhost:8080/_ccwrapper&quot;); 

 let result = ccWrapper.call(query);
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>url</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The service URL.</p></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="call"><span class="type-signature"></span>call<span class="signature">(query, callback)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Calls a C/C++ implemented function.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>query</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The function query, a string of the form <code>name=value&amp;other_name=other_value</code>.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">callback</span>



            
            </td>

            

            

            <td class="description last"><p>The callback that handles the returned value.</p>
<ul>
<li>Runs the <tt>callback(value: string)</tt> function called with the returned value.
<ul>
<li>The returned value may parse to a JSON string.</li>
</ul>
</li>
</ul></td>
        </tr>

    
    </tbody>
</table>



















        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>